Bug 640264 - gv barfs on some PDFs from Adobe InDesign
Summary: gv barfs on some PDFs from Adobe InDesign
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-05 11:44 UTC by Ian Collier
Modified: 2011-09-26 23:28 UTC (History)
2 users (show)

Fixed In Version: ghostscript-9.04-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 23:28:28 UTC
Type: ---


Attachments (Terms of Use)
A document which makes gv barf (180.02 KB, application/pdf)
2010-10-05 11:44 UTC, Ian Collier
no flags Details

Description Ian Collier 2010-10-05 11:44:09 UTC
Created attachment 451649 [details]
A document which makes gv barf

Description of problem:
gv presents a blank screen and/or outputs an unintelligible error when given some PDFs which xpdf can handle.  This seems to be some kind of interaction with the x11alpha output device in ghostscript (hence I'm filing this under ghostscript).  The examples I've found so far were created with Adobe InDesign.

Version-Release number of selected component (if applicable):
ghostscript-8.71-10.fc13.x86_64

How reproducible:
100% with certain documents.

Steps to Reproduce:

View the attached document.

gs -sDEVICE=x11 displays it fine.
gs with the default device (x11alpha) says "Error: /unknownerror in --run--" followed by the usual stack dumps.
gv says "Error: /unknownerror in --fill--" followed by stack dumps.

pdf2ps creates a (huge) PostScript document which gv and gs (with the default device) are both able to display.
pdftops (from xpdf) also creates a PostScript document which both gv and gs are able to display.
Running ps2pdf on either of those creates a PDF which both gv and gs are able to display.

Comment 1 Tim Waugh 2010-10-14 16:21:49 UTC
I see this too.  Same happens with ghostscript-9.00 on rawhide.

Comment 2 Edward Sheldrake 2010-11-23 10:18:34 UTC
gv doesn't use the x11alpha device by default, but the ghostscript options it does use hit the same problem.

A workaround is removing "-dMaxBitmap=10000000" from the gv options, or using "-sDEVICE=x11alpha -dMaxBitmap=0" - the PDFs then display, perhaps slower, and there is no anti-aliasing on the problematic pages.

Comment 3 Bug Zapper 2011-05-31 11:56:59 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Ian Collier 2011-06-13 14:05:22 UTC
Still errors out in F15 (ghostscript-9.02-1.fc15).

Only difference is that whatever options gs uses by default now don't produce the error, but either "gs -sDEVICE=x11alpha" or "gs -sDEVICE=x11 -dGraphicsAlphaBits=2 -dMaxBitmap=10000000" (as used in gv) do.

Comment 5 Edward Sheldrake 2011-08-10 18:15:15 UTC
This is fixed in ghostscript 9.04.

Comment 6 Fedora Update System 2011-08-11 16:25:19 UTC
ghostscript-9.04-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghostscript-9.04-1.fc15

Comment 7 Fedora Update System 2011-08-12 10:58:58 UTC
Package ghostscript-9.04-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.04-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghostscript-9.04-1.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-08-17 01:13:05 UTC
Package ghostscript-9.04-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.04-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghostscript-9.04-2.fc15
then log in and leave karma (feedback).

Comment 9 Ian Collier 2011-08-17 11:06:48 UTC
I agree that ghostscript-9.04-2.fc15 does indeed seem to fix the problem.

Any chance of getting this fix on F14 as well?  (No, thought not)

Comment 10 Tim Waugh 2011-08-17 12:51:25 UTC
Sorry, really unlikely to be going into F-14 due to the risk of regressions (see open bugs..).

Comment 11 Fedora Update System 2011-08-23 04:25:28 UTC
Package ghostscript-9.04-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.04-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghostscript-9.04-3.fc15
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-09-26 23:28:05 UTC
ghostscript-9.04-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.